# __gnu_cxx::typelist::detail::append_< chain< Hd, Tl >, Typelist_Chain > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Hd, typename Tl, typename Typelist_Chain>
struct __gnu_cxx::typelist::detail::append_< chain< Hd, Tl >, Typelist_Chain >

Definition at line 154 of file typelist.h.

## Public Types

- typedef chain< Hd, typename
  append_type::type > type

The documentation for this struct was generated from the following file:

- typelist.h